Crazy Eddies GUI System: CEGUI::XercesParser Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Static Protected Attributes
CEGUI::XercesParser Class Reference

Implementation of XMLParser using Xerces-C++. More...

Inheritance diagram for CEGUI::XercesParser:
[legend]
Collaboration diagram for CEGUI::XercesParser:
[legend]

List of all members.

## Public Member Functions
void | parseXMLFile (XMLHandler &handler, const String &filename, const String &schemaName, const String &resourceGroup)
| abstract method which initiates parsing of an XML file.
## Static Public Member Functions
static void | populateAttributesBlock (const XERCES_CPP_NAMESPACE::Attributes &src, XMLAttributes &dest)
| Populate the CEGUI::XMLAttributes object with attribute data from the Xerces attributes block.
static String | transcodeXmlCharToString (const XMLCh *const xmlch_str, unsigned int length)
| Return a CEGUI::String containing the Xerces XMLChar string data in xmlch_str.
static void | setSchemaDefaultResourceGroup (const String &resourceGroup)
| Sets the default resource group to be used when loading schema files.
static const String & | getSchemaDefaultResourceGroup ()
| Returns the default resource group used when loading schema files.
## Protected Member Functions
bool | initialiseImpl (void)
| abstract method which initialises the XMLParser ready for use.
void | cleanupImpl (void)
| abstract method which cleans up the XMLParser after use.
## Static Protected Member Functions
static void | initialiseSchema (XERCES_CPP_NAMESPACE::SAX2XMLReader *reader, const String &schemaName, const String &xmlFilename, const String &resourceGroup)
static XERCES_CPP_NAMESPACE::SAX2XMLReader * | createReader (XERCES_CPP_NAMESPACE::DefaultHandler &handler)
static void | doParse (XERCES_CPP_NAMESPACE::SAX2XMLReader *parser, const String &xmlFilename, const String &resourceGroup)
## Static Protected Attributes
static String | d_defaultSchemaResourceGroup
| holds the default resource group ID for loading schemas.
static XercesParserProperties::SchemaDefaultResourceGroup | s_schemaDefaultResourceGroupProperty
| Property for accessing the default schema resource group ID.

## Detailed Description

Implementation of XMLParser using Xerces-C++.

## Member Function Documentation

void CEGUI::XercesParser::cleanupImpl | ( | void |  | ) | `[protected, virtual]`

abstract method which cleans up the XMLParser after use.

Returns:
  Nothing.

Implements CEGUI::XMLParser.

static const String& CEGUI::XercesParser::getSchemaDefaultResourceGroup | ( |  | ) | `[inline, static]`

Returns the default resource group used when loading schema files.

Returns:
  String describing the default resource group identifier..

bool CEGUI::XercesParser::initialiseImpl | ( | void |  | ) | `[protected, virtual]`

abstract method which initialises the XMLParser ready for use.

Returns:
  - true if the module initialised successfully.
  - false if the module initialisation failed.

Implements CEGUI::XMLParser.

void CEGUI::XercesParser::parseXMLFile | ( | XMLHandler & | handler,
|  | const String & | filename,
|  | const String & | schemaName,
|  | const String & | resourceGroup
| ) |  | `[virtual]`

abstract method which initiates parsing of an XML file.

Parameters:

  handler | XMLHandler based object which will process the XML elements.
  filename | String object holding the filename of the XML file to be parsed.
  schemaName | String object holding the name of the XML schema file to use for validating the XML. Note that whether this is used or not is dependant upon the XMLParser in use.
  resourceGroup | String object holding the resource group identifier which will be passed to the ResourceProvider when loading the XML and schema files.

Returns:
  Nothing.

Implements CEGUI::XMLParser.

static void CEGUI::XercesParser::setSchemaDefaultResourceGroup | ( | const String & | resourceGroup | ) | `[inline, static]`

Sets the default resource group to be used when loading schema files.

Parameters:

  resourceGroup | String describing the default resource group identifier to be used.

Returns:
  Nothing.

static String CEGUI::XercesParser::transcodeXmlCharToString | ( | const XMLCh *const | xmlch_str,
|  | unsigned int | length
| ) |  | `[static]`

Return a CEGUI::String containing the Xerces XMLChar string data in xmlch_str.

Parameters:

  xmlch_str | The string data.
  length | The size of the string data. It can be computed using
       XMLString::stringLen(xmlch_str)